Name:           perl-forward-compat
Version:        5.8.0
Release:        0.ker.rhel3
Epoch:          0
Summary:        Forward compatibility package for Perl %{version}

Group:          Development/Languages
License:        GPL or Artistic
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  %{_bindir}/perl%{version}
Requires:       %{_bindir}/perl%{version}
Provides:       perl(:MODULE_COMPAT_%{version})

%description
This package provides virtual capabilities and directories for Perl
%{version} to make the packaging compatible with newer Perl packages.


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
eval `%{_bindir}/perl%{version} -V:archname`
for d in site_perl vendor_perl ; do
  install -dm 755 $RPM_BUILD_ROOT%{_libdir}/perl5/$d/%{version}/$archname/auto
done


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_libdir}/perl5/site_perl/*/*/auto
%{_libdir}/perl5/vendor_perl


%changelog
* Wed Sep 29 2004 Milan Kerslager <kerslage@linux.cz> 0:5.8.0-0.ker.rhel3
- package from Fedora as suggested in bug #133469

* Sun Apr 18 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:5.8.0-0.fdr.2
- Add "rm -rf $RPM_BUILD_ROOT" to %%install (#1498).
- Fix group to match the one of the Perl package (#1498).

* Tue Apr 13 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:5.8.0-0.fdr.1
- First 5.8.0 version.
